Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.om
Interface ExtendedNodeInfo

All Superinterfaces:
  Item, NodeInfo, Source, ValueRepresentation

All Known Implementing Classes:
  DocumentWrapper, NodeWrapper, TinyDocumentImpl, TinyNodeImpl, TinyTextImpl, WhitespaceTextImpl

    public interface ExtendedNodeInfo

extends NodeInfo

This interface contains methods that extend NodeInfo: the extra methods will be added to the NodeInfo interface at some time in the future.

Field Summary

Fields inherited from interface net.sf.saxon.om.NodeInfo
`ALL_NAMESPACES, EMPTY_NAMESPACE_LIST, IS_DTD_TYPE, IS_NILLED, LOCAL_NAMESPACES, NO_NAMESPACES`

Fields inherited from interface net.sf.saxon.om.ValueRepresentation
`EMPTY_VALUE_ARRAY`

Method Summary
`boolean` | `isId()` Determine whether this node has the is-id property
`boolean` | `isIdref()` Determine whether this node has the is-idref property
`boolean` | `isNilled()` Determine whether the node has the is-nilled property

Methods inherited from interface net.sf.saxon.om.NodeInfo
`atomize, compareOrder, copy, equals, generateId, getAttributeValue, getBaseURI, getConfiguration, getDeclaredNamespaces, getDisplayName, getDocumentNumber, getDocumentRoot, getFingerprint, getLineNumber, getLocalPart, getNameCode, getNamePool, getNodeKind, getParent, getPrefix, getRoot, getStringValue, getSystemId, getTypeAnnotation, getURI, hasChildNodes, hashCode, isSameNodeInfo, iterateAxis, iterateAxis, sendNamespaceDeclarations`

Methods inherited from interface javax.xml.transform.Source
`setSystemId`

Methods inherited from interface net.sf.saxon.om.Item
`getStringValueCS, getTypedValue`

Method Detail

### isId

    boolean isId()

  Determine whether this node has the is-id property

  Returns:
    true if the node is an ID

### isIdref

    boolean isIdref()

  Determine whether this node has the is-idref property

  Returns:
    true if the node is an IDREF or IDREFS element or attribute

### isNilled

    boolean isNilled()

  Determine whether the node has the is-nilled property

  Returns:
    true if the node has the is-nilled property

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.